PAPI_num_events(3)

NAME
PAPI_num_events -

Return the number of events in an event set.

SYNOPSIS

Detailed Description

PAPI_num_events() returns the number of preset and/or native events contained in an event set. The event set should be created by PAPI_create_eventset .

C Interface:
    #include <papi.h>
     int PAPI_num_events(int EventSet );

Parameters:
    EventSet -- an integer handle for a PAPI event set created by PAPI_create_eventset.
    *count -- (Fortran only) On output the variable contains the number of events in the event set

Return values:
    On success, this function returns the positive number of events in the event set.
    PAPI_EINVAL The event count is zero; only if code is compiled with debug enabled.
    PAPI_ENOEVST The EventSet specified does not exist.

Example

    * // Count the events in our EventSet
    * printf(
    *

See Also:
    PAPI_add_event

    PAPI_create_eventset

Author

Generated automatically by Doxygen for PAPI from the source code.